Name:           python-glob2
Version:        0.4.1
Release:        3%{?dist}
Summary:        Glob module recursive wildcards support

License:        BSD
URL:            https://pypi.python.org/pypi/glob2
Source0:        https://pypi.python.org/packages/source/g/glob2/glob2-0.4.1.tar.gz
Source1:        LICENSE

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools python-nose
Requires:       python-setuptools

%description
Version of the glob module that can capture patterns and supports recursive
 wildcards.

%package -n     python3-glob2
Summary:        Glob module recursive wildcards support
BuildRequires:  python3-devel python3-setuptools python3-nose
Requires:       python3-setuptools

%description -n python3-glob2
Version of the glob module that can capture patterns and supports recursive
 wildcards.

%prep
%setup -q -n glob2-%{version}
cp %{SOURCE1} .
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%{__python3} setup.py build
popd

%{__python2} setup.py build


%install
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
pushd %{py3dir}
PYTHONPATH=build/lib %{__python3} -m unittest discover
popd

PYTHONPATH=build/lib %{__python2} -m unittest discover


%files
%doc README.rst LICENSE
%{python2_sitelib}/glob2-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/glob2/

%files -n python3-glob2
%doc README.rst LICENSE
%{python3_sitelib}/glob2-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/glob2/

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 26 2015 Julien Enselme <jujens@jujens.eu> - 0.4.1.2
- Correct the source of the LICENSE

* Mon Jan 05 2015 Julien Enselme <jujens@jujens.eu> - 0.4.1-1
- Initial packaging
